Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden

From: Ola Nilsson <[email-masked]>
Date: Fri, 29 Sep 2017 09:45:39 +0200

On Wed, Sep 27, 2017 at 10:12 AM, martin rudalics <[email-masked]> wrote:
>> Whenever I'm using two side-by-side windows, part of the leftmost
>> character in the right-side window is hidden.
>>
>> This is when I use the Gnome HiDPI window scaling set to 2 to make text
>> readable on my 4K screen.
>>
>> The problem is visible with emacs -Q --no-x-resources.
>> Turing on display-line-numbers-mode hides the problem, at least with the
>> default settings.
>>
>> To reproduce:
>> emacs -Q --no-x-resources
>> M-x split-window-right
>> toggle the hidpi window scaling between 1 and 2.
>>
>> I'm trying to attach a screenshot.
>
> This could be bug#27830 reported by Kaushal Modi.  IIUC the left fringe
> is completely missing in the window on the right.  Correct?

It does seem the fringe is missing, but there is some other vertical bar
of empty space present.

> Please play around a bit with some settings: Turning on/off scroll bars,
> moving them to the left, and reducing/enlarging the size of the left
> fringe.  Also yet another C-x 3 to see whether only the last window on
> the right is affected.  Maybe this could get us some insight.

Turning off the scroll bar (scrollbar-mode nil) makes the fringe appear,
and the characters are fully visible.

Switching scroll bars off and from left to right with several
side-by-side windows
 shows that it is all window edges that are next to a scroll bar that
are affected.
The fringe is hidden, and the character at the edge is partially hidden.
The hidden character is a lot less obvious on the right side of a window.

> And please also try with two variable settings: ‘frame-resize-pixelwise’
> and ‘window-resize-pixelwise’ changed to non-nil, independently and
> simultaneously.

I'm not sure I did this right; I set the variables with customize and then
moved window and frame edges around a bit.
Made no difference as far as I can tell.

> Thanks in advance, martin
>
> PS: Do you observe any strange positioning when popping up menus?  Some
> people using window scaling of 2 have reported such behavior.

I hadn't noticed anything, so I tested

* mouse-1 on the size-indicator on the mode line, no problem
* clicking on the menus of the menu bar, no problem.

if there is something else you want me to try, please let me know.

I have noticed that the first menu i click in the menu bar does not
open, but if I then
use F10 to open the menu and step to it it will open fine after that.
Maybe it is
positioned somewhere I cannot see it?

-- 
Ola Nilsson